## CryptUIKeyChooser

CryptUIKeyChooser

## Synopsis

    enum                CryptUIKeyChooserMode;
                        CryptUIKeyChooserPriv;
                        CryptUIKeyChooser;
    CryptUIKeyChooser*  cryptui_key_chooser_new             (CryptUIKeyset *ckset,
                                                             CryptUIKeyChooserMode mode);
    gboolean            cryptui_key_chooser_get_enforce_prefs
                                                            (CryptUIKeyChooser *chooser);
    void                cryptui_key_chooser_set_enforce_prefs
                                                            (CryptUIKeyChooser *chooser,
                                                             gboolean enforce_prefs);
    gboolean            cryptui_key_chooser_have_recipients (CryptUIKeyChooser *chooser);
    GList*              cryptui_key_chooser_get_recipients  (CryptUIKeyChooser *chooser);
    void                cryptui_key_chooser_set_recipients  (CryptUIKeyChooser *chooser,
                                                             GList *keys);
    const gchar*        cryptui_key_chooser_get_signer      (CryptUIKeyChooser *chooser);
    void                cryptui_key_chooser_set_signer      (CryptUIKeyChooser *chooser,
                                                             const gchar *key);

## Description

## Details

### enum CryptUIKeyChooserMode

    typedef enum _CryptUIKeyChooserMode {
        CRYPTUI_KEY_CHOOSER_RECIPIENTS =    0x0001,
        CRYPTUI_KEY_CHOOSER_SIGNER =        0x0002,

        CRYPTUI_KEY_CHOOSER_MUSTSIGN =      0x0010
    } CryptUIKeyChooserMode;

### CryptUIKeyChooserPriv

    typedef struct _CryptUIKeyChooserPriv CryptUIKeyChooserPriv;

### CryptUIKeyChooser

    typedef struct {
        GtkVBox               parent;
    } CryptUIKeyChooser;

### cryptui_key_chooser_new ()

    CryptUIKeyChooser*  cryptui_key_chooser_new             (CryptUIKeyset *ckset,
                                                             CryptUIKeyChooserMode mode);

`ckset` : |
`mode` : |
Returns : |

### cryptui_key_chooser_get_enforce_prefs ()

    gboolean            cryptui_key_chooser_get_enforce_prefs
                                                            (CryptUIKeyChooser *chooser);

`chooser` : |
Returns : |

### cryptui_key_chooser_set_enforce_prefs ()

    void                cryptui_key_chooser_set_enforce_prefs
                                                            (CryptUIKeyChooser *chooser,
                                                             gboolean enforce_prefs);

`chooser` : |
`enforce_prefs` : |

### cryptui_key_chooser_have_recipients ()

    gboolean            cryptui_key_chooser_have_recipients (CryptUIKeyChooser *chooser);

`chooser` : |
Returns : |

### cryptui_key_chooser_get_recipients ()

    GList*              cryptui_key_chooser_get_recipients  (CryptUIKeyChooser *chooser);

`chooser` : |
Returns : |

### cryptui_key_chooser_set_recipients ()

    void                cryptui_key_chooser_set_recipients  (CryptUIKeyChooser *chooser,
                                                             GList *keys);

`chooser` : |
`keys` : |

### cryptui_key_chooser_get_signer ()

    const gchar*        cryptui_key_chooser_get_signer      (CryptUIKeyChooser *chooser);

`chooser` : |
Returns : |

### cryptui_key_chooser_set_signer ()

    void                cryptui_key_chooser_set_signer      (CryptUIKeyChooser *chooser,
                                                             const gchar *key);

`chooser` : |
`key` : |